### Virtual Method

# Nautilus ColumnProvider get_columns

#### Declaration [src]

    GList*
    get_columns (
      NautilusColumnProvider* provider
    )

#### Description [src]

Returns a `GList` of `NautilusColumn`. See `nautilus_column_provider_get_columns()` for details.

#### Return value

Type: A list of `NautilusColumn*`

The provided `NautilusColumn` objects.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.